;***********************************************
;   Firmware Update : Optical Drive (SATA)     *
;***********************************************
;       Version
; FWSB  0.1  08/07/2008  HLDS     GSA-T30N           FX07
;                                 GSA-U20N           HX11
;       0.2  02/16/2009  HLDS     GSA-U20N           HX12
;                                 GSA-T50N           RX05 (Serial Ultrabay Enhanced)
;                                 GSA-T50N           RE05 (ThinkPad SL***)
;                        Optiarc  AD-7910S           1.D1
;       0.3  06/05/2009  Optiarc  AD-7590S           1.FM
;       0.4  08/21/2009  HLDS     GSA-T50N           RX06 (Serial Ultrabay Enhanced)
;                                 GSA-T50N           RE06 (ThinkPad SL***)
;       0.5  03/08/2010  Windows7 Support
;                        HLDS     GSA-U20N           HX12
;                                 GSA-T30N           FX07
;                                 GSA-T50N           RX06 (Serial Ultrabay Enhanced)
;                                 GSA-T50N           RE06 (ThinkPad SL***)
;                        Optiarc  AD-7910S           1.D1
;                                 AD-7590S           1.FM
;       0.6  06/18/2010  HLDS     GT30N              LT10 (Serial Ultrabay Enhanced)
;                                 GT30N              LG10 (ThinkPad SL*10/L***)
;                                 GT30N              LE10 (ThinkPad Edge-**)
;       0.7  02/22/2010  HLDS     GT30N              LT12 (Serial Ultrabay Enhanced)
;                                 GT30N              LG12 (ThinkPad SL*10/L***)
;                                 GT30N              LE12 (ThinkPad Edge-**)
;                                 GT33N              LT21 (Serial Ultrabay Enhanced)
;                                 GT33N              LT21 (ThinkPad SL*10/L***)
;                                 GU40N              QX21
;       0.8  07/19/2011  HLDS     GT33N              LT22 (Serial Ultrabay Enhanced)
;                                 GT33N              LT22 (ThinkPad SL*10/L***)
;                        PSN      UJ8A2              SB02
;       0.9  03/30/2012  HLDS     GT30N              LT13 (Serial Ultrabay Enhanced)
;                                 GT30N              LG13 (ThinkPad SL*10/L***)
;                                 GT30N              LE13 (ThinkPad Edge-**)
;                                 GT33N              LT23 (Serial Ultrabay Enhanced/SL*10/L***)
;                                 GT33N              LT31 (Serial Ultrabay Enhanced/SL*10/L***)
;                                 GU40N              QX22
;                                 DU30N              RX11
;       1.0  09/11/2012  HLDS     GT50N              LT21 (Serial Ultrabay Enhanced)
;       1.1  09/09/2013  PPRD     UJ8C0              SB02 (Serial Ultrabay Enhanced)
;                                 UJ8C2              SB02
;                        HLDS     GT50N              LT22 (Serial Ultrabay Enhanced)
;                                 GT80N              LT21 (Serial Ultrabay Enhanced)
;                                 GU70N              LT23 (Serial Ultrabay Enhanced)
;
;
;****************************************
;   Firmware Update : DVD Multi Drive   *
;****************************************
;
;
;======================;
;       H L D S        ;
;======================;
;
;   HLDS : GSA-U20N
;
"HL-DT-ST DVDRAM GSA-U20N ","HX10","HX12","data","GSAU20N_HX12", "/au /ae", "","hlds"
"HL-DT-ST DVDRAM GSA-U20N ","HX11","HX12","data","GSAU20N_HX12", "/au /ae", "","hlds"
;
;   HLDS : GSA-T30N
;
"HL-DT-ST DVDRAM GSA-T30N ","FX06","FX07","data","GSAT30N_FX07", "/au /ae", "","hlds"
;
;   HLDS : GSA-T50N
;
"HL-DT-ST DVDRAM GSA-T50N ","RX04","RX06","data","GSAT50N_RX06", "/au /ae", "","hlds"
"HL-DT-ST DVDRAM GSA-T50N ","RX05","RX06","data","GSAT50N_RX06", "/au /ae", "","hlds"
;
;   HLDS : GSA-T50N (SL***)
;
"HL-DT-ST DVDRAM GSA-T50N ","RE04","RE06","data","GSAT50N_RE06", "/au /ae", "","hlds"
"HL-DT-ST DVDRAM GSA-T50N ","RE05","RE06","data","GSAT50N_RE06", "/au /ae", "","hlds"
;
;   HLDS : GT30N (Serial Ultrabay Enhanced)
;
"HL-DT-STDVDRAM GT30N","LT09","LT13","data","DVDRAM_GT30N_TPG_LT13.exe","optional","","hlds"
"HL-DT-STDVDRAM GT30N","LT10","LT13","data","DVDRAM_GT30N_TPG_LT13.exe","optional","","hlds"
"HL-DT-STDVDRAM GT30N","LT12","LT13","data","DVDRAM_GT30N_TPG_LT13.exe","optional","","hlds"
;
;   HLDS : GT30N (SL*10/L***)
;
"HL-DT-STDVDRAM GT30N","LG09","LG13","data","DVDRAM_GT30N_TPG_LG13.exe","optional","","hlds"
"HL-DT-STDVDRAM GT30N","LG10","LG13","data","DVDRAM_GT30N_TPG_LG13.exe","optional","","hlds"
"HL-DT-STDVDRAM GT30N","LG12","LG13","data","DVDRAM_GT30N_TPG_LG13.exe","optional","","hlds"
;
;   HLDS : GT30N (Edge-**)
;
"HL-DT-STDVDRAM GT30N","LE09","LE13","data","DVDRAM_GT30N_TPG_LE13.exe","optional","","hlds"
"HL-DT-STDVDRAM GT30N","LE10","LE13","data","DVDRAM_GT30N_TPG_LE13.exe","optional","","hlds"
"HL-DT-STDVDRAM GT30N","LE12","LE13","data","DVDRAM_GT30N_TPG_LE13.exe","optional","","hlds"
;
;   HLDS : GT33N (Serial Ultrabay Enhanced/SL*10/L***)
;
"HL-DT-STDVDRAM GT33N","LT20","LT23","data","DVDRAM_GT33N_Lenovo_TPG_LT23_LT31.exe","optional","","hlds"
"HL-DT-STDVDRAM GT33N","LT21","LT23","data","DVDRAM_GT33N_Lenovo_TPG_LT23_LT31.exe","optional","","hlds"
"HL-DT-STDVDRAM GT33N","LT22","LT23","data","DVDRAM_GT33N_Lenovo_TPG_LT23_LT31.exe","optional","","hlds"
"HL-DT-STDVDRAM GT33N","LT30","LT31","data","DVDRAM_GT33N_Lenovo_TPG_LT23_LT31.exe","optional","","hlds"
;
;   HLDS : GU40N
;
"HL-DT-ST DVDRAM GU40N","QX20","QX22","data","GU40N_QX22.exe","optional","","hlds"
"HL-DT-ST DVDRAM GU40N","QX21","QX22","data","GU40N_QX22.exe","optional","","hlds"
;
;   HLDS : DU30N
;
"HL-DT-ST DVD-ROM DU30N","RX10","RX11","data","DU30N_RX11.exe","optional","","hlds"
;
;   HLDS : GT50N (Serial Ultrabay Enhanced)
;
"HL-DT-ST DVDRAM GT50N","LT20","LT22","data","DVDRAM_GT50N_Lenovo_TPG_LT22.exe","optional","","HLDS"
"HL-DT-ST DVDRAM GT50N","LT21","LT22","data","DVDRAM_GT50N_Lenovo_TPG_LT22.exe","optional","","HLDS"
;
;   HLDS : GT80N (Serial Ultrabay Enhanced)
;
"HL-DT-ST DVDRAM GT80N","LT20","LT21","data","DVDRAM_GT80N_Lenovo_TPG_LT21.exe","","","HLDS"
;
;   HLDS : GU70N (Serial Ultrabay Enhanced)
;
"HL-DT-ST DVDRAM GU70N","LT20","LT23","data","DVDRAM_GU70N_____LT23.exe","","","HLDS"
"HL-DT-ST DVDRAM GU70N","LT21","LT23","data","DVDRAM_GU70N_____LT23.exe","","","HLDS"
;
;
;======================;
;     O p t i a r c    ;
;======================;
;
;   Optiarc : AD-7910S
;
"Optiarc  DVD RW AD-7910S","1.D0","1.D1","","WinUpdater_AD7910S_1_D1.exe","","","optiarc"
;
;   Optiarc : AD-7590S
;
"Optiarc DVD RW AD-7590S","1.FL","1.FM","","WinUpdater_AD7590S_1FM.exe", "", "","optiarc"
;
;
;======================;
;       P P R D        ;
;======================;
;
;   PPRD : UJ8A2
;
"MATSHITADVD-RAM UJ8A2   ","SB01","SB02","","PU8A201.exe","","","PPRD"
;
;   PPRD : UJ8C0 (Serial Ultrabay Enhanced)
;
"MATSHITADVD-RAM UJ8C0   ","SB01","SB02","","PU8C002.exe","","","PPRD"
;
;   PPRD : UJ8C2
;
"MATSHITADVD-RAM UJ8C2   ","SB01","SB02","","PU8C202.exe","","","PPRD"
;